summaryrefslogtreecommitdiffstats
path: root/ubuntu/precise/applications/tdeio-umountwrapper/debian/postrm
diff options
context:
space:
mode:
Diffstat (limited to 'ubuntu/precise/applications/tdeio-umountwrapper/debian/postrm')
-rw-r--r--ubuntu/precise/applications/tdeio-umountwrapper/debian/postrm52
1 files changed, 52 insertions, 0 deletions
diff --git a/ubuntu/precise/applications/tdeio-umountwrapper/debian/postrm b/ubuntu/precise/applications/tdeio-umountwrapper/debian/postrm
new file mode 100644
index 000000000..2baeddc3e
--- /dev/null
+++ b/ubuntu/precise/applications/tdeio-umountwrapper/debian/postrm
@@ -0,0 +1,52 @@
+#! /bin/sh
+# -*- Mode: Sh -*-
+# Author: Frode M. Døving <frode@lnix.net> (C) 2007
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+
+set -e
+
+package_name=kio-umountwrapper-trinity
+
+# make sure than the directories exist before running dpkg-divert
+mkdir -p /opt/trinity/share/apps/konqueror/servicemenus/
+mkdir -p /opt/trinity/share/apps/d3lphin/servicemenus/
+
+case "$1" in
+ remove)
+ dpkg-divert --package $package_name --rename --remove \
+ /opt/trinity/share/apps/konqueror/servicemenus/media_safelyremove.desktop
+
+ dpkg-divert --package $package_name --rename --remove \
+ /opt/trinity/share/apps/dolphin/servicemenus/media_safelyremove.desktop
+
+ dpkg-divert --package $package_name --rename --remove \
+ /opt/trinity/share/apps/d3lphin/servicemenus/media_safelyremove.desktop
+
+ # try to remove the dirs we've created for pkg-divert
+ rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/konqueror/servicemenus/
+ rmdir --ignore-fail-on-non-empty /opt/trinity/share/apps/d3lphin/servicemenus/
+ ;;
+
+ upgrade)
+ exit 0
+ ;;
+
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+
+exit 0